[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dpkg-cross: calculating wrong dependencies?



Hey Neil! That was a good one :-)

gcc-4.1-arm-linux-gnu-base_4.1.1-19_i386.deb
gcc-4.2-arm-linux-gnu-base_4.2-20061003-1_i386.deb

I'll see if it handles dependencies as it should.

2006/11/16, Neil Williams <codehelp@debian.org>:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 16/11/06 16:27:42, Hector Oron wrote:
>
> Here it depends on gcc-4.1-base, not on gcc-4.1-base-arm-cross. Why is
> it?

That is an error. It should depend on gcc-$vers-base-arm-cross but the
problme is that the build instructions omit a crucial environment
variable so that the base package is not built when it should.

> I have no trouble installing gcc-4.1, but i do have trouble
> installing gcc-4.2 because of that dependency.

That is the reverse too - gcc-4.1 won't install cleanly because
depending on the non-cross version of base means that updates to 4.1
cannot be installed without removing the cross built packages which
depend on native base, not cross base.  This is a "build independence"
problem that was causing packages to be held back but the build
instructions for gcc-4.1 need updating to add a command:

export DEB_CROSS_INDEPENDENT=yes

before building gcc.

- --

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFXLWjk7DVr6iX/QIRAoh9AJ4onoxjSAuS7OaPB7PjoXRc6jDscQCeM/YV
O6dVSAr15ot/k2ki+exu73g=
=r6RT
-----END PGP SIGNATURE-----





Reply to: